|  | Home | Documentation | ds__ReferenceType Struct Reference updated Thu Apr 15 2021 by Robert van Engelen |

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Members

Public Attributes | List of all members
ds__ReferenceType Struct Reference

"http://www.w3.org/2000/09/xmldsig#":ReferenceType is a complexType. More...

`#include <ds.h>`

Collaboration diagram for ds__ReferenceType:
[legend]

## Public Attributes
struct ds__TransformsType * | Transforms
| Element reference "http://www.w3.org/2000/09/xmldsig#":Transforms. More...
struct ds__DigestMethodType * | DigestMethod
| Element reference "http://www.w3.org/2000/09/xmldsig#":DigestMethod. More...
char * | DigestValue
| Element reference "http://www.w3.org/2000/09/xmldsig#":DigestValue. More...
char * | Id
| Attribute Id of type xs:ID. More...
char * | URI
| Attribute URI of type xs:anyURI. More...
char * | Type
| Attribute Type of type xs:anyURI. More...

## Detailed Description

"http://www.w3.org/2000/09/xmldsig#":ReferenceType is a complexType.

## Member Data Documentation

struct ds__DigestMethodType* ds__ReferenceType::DigestMethod

Element reference "http://www.w3.org/2000/09/xmldsig#":DigestMethod.

Required element.

char* ds__ReferenceType::DigestValue

Element reference "http://www.w3.org/2000/09/xmldsig#":DigestValue.

Required element.

char* ds__ReferenceType::Id

Attribute Id of type xs:ID.

Optional attribute.

struct ds__TransformsType* ds__ReferenceType::Transforms

Element reference "http://www.w3.org/2000/09/xmldsig#":Transforms.

Optional element.

char* ds__ReferenceType::Type

Attribute Type of type xs:anyURI.

Optional attribute.

char* ds__ReferenceType::URI

Attribute URI of type xs:anyURI.

Optional attribute.

The documentation for this struct was generated from the following file:

- ds.h